<?php
namespace App\Http\Controllers\AdminControllers;
use App\Models\Core\Languages;
use App\Models\Core\Posts;
use App\Models\Core\Setting;
use App\Models\Admin\Admin;
use App\Models\Core\User;
use App\Models\Core\Templates;
use App\Models\Web\Analytics;
use App\Models\Web\Inquiry;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Lang;
use Exception;
use App\Models\Core\Images;
use Validator;
use Hash;
use Auth;

class AdminController extends Controller
{
    /*---------------------Admin Dashboard-----------------------------*/
	public function dashboard(Request $request){
		
		$title  = 'Admin | Dashboard';

		// $result['commonContent'] = Setting::commonContent();

		// $result['services_count'] = Posts::where('post_type','services')->count();

		// $result['jobs_count'] = Posts::where('post_type','jobs')->count();

		// $result['jets_count'] = Posts::where('post_type','jets')->count();

		// $result['analytics'] = Analytics::getData();

		// $result['submissions'] = Inquiry::getData();

		// $pagesData = DB::table('pages')->where('status',1)->where('type',2)->get();

		// $pageTotal = count($pagesData);	

		return view("admin.dashboard",$title);	

	}


	public function template(Request $request){

		$check = Templates::where('id',$request->direction)->first()->toArray();

		if($check){

			return view("admin.templates.fields")->with('fields',$check['data']);
		}

		if (view()->exists("admin.templates.".$_POST['direction'])) {
		
		    return view("admin.templates.".$_POST['direction']);
		
		}
		else{

			return view("admin.templates.default");

		}
		

	}
	/*------------------------------Login--------------------------------*/

	public function login(){

		if (Auth::check()) {

		  return redirect('/admin/dashboard/this_month');

		}
		else
		{
			$title = array('pageTitle' => Lang::get("labels.login_page_name"));
			
			return view("admin.login",$title);
		}
	}


	public function admininfo(){

		$administor = administrators::all();

		return view("admin.login",$title);

	}

	
  public function checkLogin(Request $request){

		$validator = Validator::make(
			array(
					'email'    => $request->email,
					'password' => $request->password
				),
			array(
					'email'    => 'required | email',
					'password' => 'required',
				)
		);
		

		if($validator->fails()){

			return redirect('admin/login')->withErrors($validator)->withInput();

		}else{


			$adminInfo = array("email" => $request->email, "password" => $request->password);

			if(auth()->attempt($adminInfo)) {

				$admin = auth()->user();

				$administrators = DB::table('users')->where('id', $admin->myid)->get();

				
				return redirect()->intended('admin/dashboard/this_month')->with('administrators', $administrators);

			}
			else
			{
				return redirect('admin/login')->with('loginError',Lang::get("labels.EmailPasswordIncorrectText"));
			}

		}

	}

	public function logout(){

		Auth::guard('web')->logout();
	
		return redirect()->intended('admin/login');
	}

	

   public function profile(Request $request){

        $title = array('pageTitle' => Lang::get("labels.Profile"));

        $result['admin'] = $this->Admin->edit(auth()->user()->id);

        return view("admin.admin.profile",$title)->with('result', $result);

    }
   


    public function update(Request $request){

    	$data = $request->all();

    	$data = array_filter($data);

    	if( $data['admin_email']  != '' && $data['admin_password'] != '' ) :

	       	$update = User::where( 'id', auth()->user()->id )->update([ 

	       															'email' => $data['admin_email'] ,

	       															'password' => Hash::make($data['admin_password']) 

	       														]);

       		$message = 'Details Updated Successfully!';

   		else :

       		$message = 'Required Fields Missing!';

		endif;

       return redirect()->back()->with(['success' => $message]);
     
     }
   

}
