<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;
use App\Models\Backend\Customers;
use App\Models\Backend\Employees;
use App\Models\Backend\Services;
use App\Models\Backend\Appointments;
use Illuminate\Http\Request;

class AppointmentsController extends Controller
{

    public function index(Request $request)
    {
        
        $title  = 'Admin | Appointments';

        $data['appointments'] = Appointments::getAppointments();

        $data['appointments']['data'] = Customers::getAppointmentCustomers($data['appointments']['data']);

        $data['customers'] = Customers::all();

        $data['customers'] ? $data['customers'] = $data['customers']->toArray() : '';

        $data['employees'] = Employees::all();

        $data['employees'] ? $data['employees'] = $data['employees']->toArray() : '';

        $data['services'] = Services::all();

        $data['services'] ? $data['services'] = $data['services']->toArray() : '';

        return view("admin.appointments.appointments")->with('title' , $title)->with('data',$data);
    }

    public function store(Request $request){

        $data = $request->all();

        dd($data);
    }

    public function create(Request $request){


        $response = Appointments::entry($request);

        return json_encode(['message' => 'Appointment Added Successfully!']);
    }



    public function show(Customers $customers){
        

    }


    public function edit2(Request $request){

        $id = $request->id;

        $data['appointments'] = Appointments::where('appointment_id',$id)->first()->toArray();

        $data['customers'] = Customers::all();

        $data['customers'] ? $data['customers'] = $data['customers']->toArray() : '';

        $data['services'] = Services::all();

        $data['services'] ? $data['services'] = $data['services']->toArray() : '';

        $data['employees'] = Employees::all();

        $data['employees'] ? $data['employees'] = $data['employees']->toArray() : '';

        return view('admin.appointments.edit2')->with('title','Edit Appointment')->with('data',$data);
    }

    
    // For Ajax
    
    public function edit(Request $request){

        $id = $request->id;

        $data['appointments'] = Appointments::getAppointment($id);

        $data['customers'] = Customers::all();

        $data['customers'] ? $data['customers'] = $data['customers']->toArray() : '';

        $data['services'] = Services::all();

        $data['services'] ? $data['services'] = $data['services']->toArray() : '';

        $data['employees'] = Employees::all();

        $data['employees'] ? $data['employees'] = $data['employees']->toArray() : '';

        $html = view('admin.appointments.edit')->with('data',$data)->render();

        return json_encode(['html' => $html]);
    }

    public function update(Request $request, Appointments $appointments){

        $data = $request->all();

        unset($data['_token']);

        $response = Appointments::updateAppointment($data);

        return json_encode(['message' => 'Appointment Updated!']);

    }

    public function editScreen(Request $request){

        $id = $request->id;

        $data['appointments'] = Appointments::where('appointment_id',$id)->first()->toArray();

        $data['customers'] = Customers::all();

        $data['customers'] ? $data['customers'] = $data['customers']->toArray() : '';

        $data['services'] = Services::all();

        $data['services'] ? $data['services'] = $data['services']->toArray() : '';

        $data['employees'] = Employees::all();

        $data['employees'] ? $data['employees'] = $data['employees']->toArray() : '';

        return view('admin.appointments.'.$request->view )->with('data',$data);

    }

    public function delete(Request $request){

        $id = $request->id;

        Appointments::where('appointment_id',$id)->delete();

        return json_encode(['message' => 'Appointment Deleted!']);

    }
}
