<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;
use App\Models\Backend\Customers;
use Illuminate\Http\Request;

class CustomerController extends Controller
{

    public function index(Request $request)
    {
        
        $title  = 'Admin | Customers';

        $data['customers'] = Customers::getCustomers();

        return view("admin.customers.customers")->with('title' , $title)->with('data',$data);
    }

    public function store(Request $request){

        $data = $request->all();

        dd($data);
    }

    public function create(Request $request){


        $response = Customers::entry($request);

        return json_encode(['message' => 'Customer Added Successfully!']);
    }



    public function show(Customers $customers){
        

    }


    public function edit2(Request $request){

        $id = $request->id;

        $data['customers'] = Customers::where('customer_id',$id)->first()->toArray();

        return view('admin.customers.edit2')->with('title','Edit Customer')->with('data',$data);
    }

    
    // For Ajax
    
    public function edit(Request $request){

        $id = $request->id;

        $data['customers'] = Customers::getCustomer($id);

        $html = view('admin.customers.edit')->with('data',$data)->render();

        return json_encode(['html' => $html]);
    }

    public function update(Request $request, Customers $customers){

        $data = $request->all();

        unset($data['_token']);

        $response = Customers::updateCustomer($data);

        return json_encode(['message' => 'Customer Updated!']);

    }

    public function editScreen(Request $request){

        $id = $request->id;

        $data['customers'] = Customers::where('customer_id',$id)->first()->toArray();

        return view('admin.customers.'.$request->view )->with('data',$data);

    }

    public function delete(Request $request){

        $id = $request->id;

        Customers::where('customer_id',$id)->delete();

        return json_encode(['message' => 'Customer Deleted!']);

    }
}
