<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;

use App\Models\Backend\Employees;

use App\Models\Backend\Services;

use App\Models\Backend\WorkingHours;

use Illuminate\Http\Request;

use Auth;

class EmployeeController extends Controller
{

    public function index(Request $request){

        $title  = 'Admin | Employees';

        $data['employees'] = Employees::getEmployees();

        $data['employees'] ? $data['employees'] = $data['employees']->toArray() : '';

        $data['services'] = Services::getServices();

        $data['services'] ? $data['services'] = $data['services']->toArray() : '';

        return view("admin.employees.employees")->with('title' , $title)->with('data',$data);

    }

    public function create(Request $request){

        $response = Employees::entry($request);

        return json_encode(['message' => 'Employees Added Successfully!']);
    }


    public function edit(Request $request){

        $id = $request->id;

        $data['employees'] = Employees::getEmployee($id);

        $html = view('admin.employees.edit')->with('data',$data)->render();

        return json_encode(['html' => $html]);
    }

    public function edit2(Request $request){

        $id = $request->id;

        $data['employees'] = Employees::getEmployee($id);

        return view('admin.employees.edit2')->with('title','Edit Employee')->with('data',$data);
    }

    public function editScreen(Request $request){

        $id = $request->id;

        $data['employee'] = Employees::getEmployee($id);

        $data['services'] = Services::getServices();

        $data['services'] ? $data['services'] = $data['services']->toArray() : '';

        $data['working_hours'] = WorkingHours::getEmployeeWorkingHours($id);

        return view('admin.employees.'.$request->view )->with('data',$data);

    }

    public function update(Request $request){

        $data = $request->all();

        unset($data['_token']);

        $response = Employees::updateEmployee($data);

        return json_encode(['message' => 'Service Updated!']);
    }

    public function updateHours(Request $request){

        $data = $request->all();

        $response = WorkingHours::updateData($data);

        return json_encode(['message' => 'Employee Hours Updated']);
    }

    public function refresh(Request $request){

        $data = Employees::all();

        $data ? $data = $data->toArray() : '';

        $html = view('admin.employees.loop', ['data' => $data])->render();
        
        return json_encode(['body'=>$html]);
    }

    public function delete(Request $request){

        Employees::where('employee_id',$request->id)->delete();

        return json_encode(['message' => 'Employee Deleted!']);

    }

}
