<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;

use App\Models\Backend\Location;

use Illuminate\Http\Request;

use Auth;

class LocationController extends Controller
{

    public function index(Request $request){

        $title  = 'Admin | Location';

        $data['location'] = Location::paginate(10);

        $data['location'] ? $data['location'] = $data['location']->toArray() : '';

        return view("admin.location.location")->with('title' , $title)->with('data',$data);

    }

    public function create(Request $request){

        $response = Location::entry($request);

        return json_encode(['message' => 'Location Added Successfully!']);
    }

    public function edit2(Request $request){

        $id = $request->id;

        $data['location'] = location::where('location_id',$id)->first()->toArray();

        return view('admin.location.edit2')->with('title','Edit Location')->with('data',$data);
    }

    
    // For Ajax
    
    public function edit(Request $request){

        $id = $request->id;

        $data['location'] = Location::where('location_id',$id)->first()->toArray();

        $html = view('admin.location.edit')->with('data',$data)->render();

        return json_encode(['html' => $html]);
    }

    public function update(Request $request){

        $data = $request->all();

        unset($data['_token']);
        
        $response = Location::updateLocation($data);

        return json_encode(['message' => 'Location Updated!']);
    }

    public function refresh(Request $request){

        $data = Location::paginate(10);

        $data ? $data = $data->toArray() : '';

        $html = view('admin.location.loop', ['data' => $data])->render();       

        return json_encode(['body'=>$html]);
    }

    public function delete(Request $request){

        $id = $request->id;

        Location::where('location_id',$id)->delete();

        return json_encode(['message' => 'Location Deleted!']);

    }


}
