<?php

namespace App\Http\Controllers\AdminControllers;

use App;
use App\Http\Controllers\Controller;
use App\Models\Core\Menus;
use Illuminate\Http\Request;
use App\Models\Core\Setting;
use Lang;

class MenusController extends Controller
{
	public function __construct(Setting $setting )
    {
        $this->Setting = $setting;
        
    }
    /*------------------------------------------------Menus-----------------------------------------*/
    public function menus(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.menus"));
        $result['menus'] = Menus::menus();  
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.menus.index", $title)->with('result', $result);
    }
    /*------------------------------------------------Add Menus-----------------------------------------*/
    public function addmenus(Request $request)
    {

        $title = array('pageTitle' => Lang::get("labels.addmenus"));
     
        $result = Menus::addmenus();          
     
        $result['commonContent'] = $this->Setting->commonContent();
     
        return view("admin.menus.add", $title)->with('result', $result);
    }

    /*------------------------------------------------Add New Menus-----------------------------------------*/
    public function addnewmenu(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.AddMenu"));
        Menus::addnewmenu($request);  
        $result['commonContent'] = $this->Setting->commonContent();
        $message = Lang::get("labels.MenuAddedMessage");
        return redirect()->back()->withErrors([$message]);
    }

    /*------------------------------------------------Edit Menus-----------------------------------------*/
    public function editmenu(Request $request, $id)
    {

        $title = array('pageTitle' => Lang::get("labels.EditPage"));

        $result['menus'] = Menus::editmenu($id);  

        $result['commonContent'] = $this->Setting->commonContent();

        return view("admin.menus.edit", $title)->with('result', $result);
    }

    /*------------------------------------------------Update Menus-----------------------------------------*/
    public function updatemenu(Request $request)
    {
        Menus::updatemenu($request);
        $message = Lang::get("labels.MenuUpdateMessage");
        return redirect()->back()->withErrors([$message]);

    }
    /*------------------------------------------------Delete Menus-----------------------------------------*/
    public function deletemenu(Request $request)
    {
        Menus::deletemenu($request->id);
        $message = Lang::get("labels.MenuDeleteMessage");
        return redirect()->back()->withErrors([$message]);
    }
    /*------------------------------------------------Postion Menus-----------------------------------------*/
    public function menuposition(Request $request)
    {
        if(auth()->user()->is_edit== 0){
                abort('404');
            }
        Menus::savePosition($request);
    }
    /*------------------------------------------------Catalog Menus-----------------------------------------*/
    public function catalogmenu()
    {
        Menus::catalogmenu();
        $message = Lang::get("labels.Catalogcreatedsuccessfully");
        return redirect()->back()->withErrors([$message]);
    }    
    

}
