<?php

namespace App\Http\Controllers\AdminControllers;

use App;
use App\Http\Controllers\Controller;
use App\Models\Web\Index;
use App\Models\Core\Pages;
use App\Models\Core\Templates;
use App\Models\Core\Content;
use Illuminate\Http\Request;
use Lang;
use App\Models\Core\Setting;
use DB;
class PagesController extends Controller
{
    public function __construct(Setting $setting)
    {
        $this->Setting = $setting;
    }


    public function pages(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.Pages"));

        $result = Pages::all()->toArray(); 

        $result['commonContent'] = $this->Setting->commonContent();

        return view("admin.pages.index", $title)->with('result', $result);

    }


    public function addpage(Request $request)
    {
        if(auth()->user()->is_edit== 0){
            abort('404');
        }
        $title = array('pageTitle' => Lang::get("labels.AddPage"));
        $result = Pages::addpage(); 
        $result['commonContent'] = $this->Setting->commonContent();
        return view("admin.pages.add", $title)->with('result', $result);

    }

    

    public function webpages(Request $request)
    {

        $title = array('pageTitle' => Lang::get("labels.Pages"));
        
        $result = Pages::all()->toArray(); 

        foreach($result as $key => $page) :

            $result[$key]['page_title'] = current(Content::where([
                                                            ['page_id', '=', $page['page_id']],
                                                            ['content_key', '=','pagetitle']

                                                        ])->pluck('content_value')->toArray());

            $result[$key]['template'] = current(

                                                    Templates::where('id',$page['template'])
                                                    ->pluck('name')->toArray()

                                                );

            $result[$key]['template'] == '' ? $result[$key]['template'] = 'Default' : '';

        endforeach;

        return view("admin.pages.webpages.index", $title)->with('result', $result);

    }
    

    public function addwebpage(Request $request)
    {
        if(auth()->user()->is_edit== 0){
            abort('404');
        }
       

        $title = array('pageTitle' => Lang::get("labels.AddPage"));
        
        $result['commonContent'] = $this->Setting->commonContent();
        
        $result['templates'] = Templates::all();

        return view("admin.pages.webpages.add", $title)->with('result', $result);
 
    }



    public function addnewwebpage(Request $request)
    {
        $title = array('pageTitle' => Lang::get("labels.AddPage"));
        
        Pages::addnewwebpage($request);

        return redirect(asset('admin/webpages'))->with('success','Page Added Successfully!');
    }

   
    public function editwebpage(Request $request)
    {   
        if(auth()->user()->is_edit== 0){ abort('404'); }
       
        $title = array('pageTitle' => Lang::get("labels.EditPage"));
       
        $result = Pages::editwebpage($request); 
            
        $result['content'] = Index::parseContent( $result['content'] );

        ($result['content']['template'] != 'default' ) ? 
        
        $result['template'] = Templates::get_template( $result['content']['template'] ) :

        '';

        $result['commonContent'] = $this->Setting->commonContent();

        return view("admin.pages.webpages.edit", $title)->with('result', $result);
    }

    /*------------------------------------------------ Update Web Pages -----------------------------------------*/
    public function updatewebpage(Request $request)
    {
        Pages::updatewebpage($request);

        return redirect()->back()->with('success','Page Updated Successfully!');
    }


    /*------------------------------------------------ Delete Pages -----------------------------------------*/


    public function deletepage(Request $request)
    {
        Pages::deletepage($request);

        return redirect()->back()->with('success','Page has been deleted successfully!');
    }


    /*------------------------------------------------ Status Web Pages -----------------------------------------*/
    public function pageWebStatus(Request $request)
    {
        dd('pageWebStatus controller');
        Pages::pageWebStatus($request);
        return redirect()->back()->withErrors([Lang::get("labels.PageStatusMessage")]);
    }

}
