<?php

namespace App\Http\Controllers\AdminControllers;

use App\Http\Controllers\Controller;

use App\Models\Backend\Property;

use Illuminate\Http\Request;

use Auth;

class PropertyController extends Controller
{

    public function index(Request $request){

        $title  = 'Admin | Property';

        $data['property'] = Property::paginate(10);

        $data['property'] ? $data['property'] = $data['property']->toArray() : '';

        return view("admin.property.property")->with('title' , $title)->with('data',$data);

    }

    public function create(Request $request){

        $response = Property::entry($request);

        return json_encode(['message' => 'Property Type Added Successfully!']);
    }

    public function edit2(Request $request){

        $id = $request->id;

        $data['property'] = Property::where('property_id',$id)->first()->toArray();

        return view('admin.property.edit2')->with('title','Edit Property')->with('data',$data);
    }

    
    // For Ajax
    
    public function edit(Request $request){

        $id = $request->id;

        $data['property'] = Property::where('property_id',$id)->first()->toArray();

        $html = view('admin.property.edit')->with('data',$data)->render();

        return json_encode(['html' => $html]);
    }

    public function update(Request $request){

        $data = $request->all();

        unset($data['_token']);
        
        $response = Property::updateProperty($data);

        return json_encode(['message' => 'Property Type Updated!']);
    }

    public function refresh(Request $request){

        $data = Property::paginate(10);

        $data ? $data = $data->toArray() : '';

        $html = view('admin.property.loop', ['data' => $data])->render();       

        return json_encode(['body'=>$html]);
    }

    public function delete(Request $request){

        $id = $request->id;

        Property::where('property_id',$id)->delete();

        return json_encode(['message' => 'Property Type Deleted!']);

    }


}
