<?php
namespace App\Http\Controllers\AdminControllers;


use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Web\Index;
use App\Models\Core\Images;
use App\Models\Core\Posts;
use App\Models\Core\Taxonomy;
use App\Models\Core\Terms;


class TaxonomyController extends Controller
{
   
    
	public function view(Request $request){

		$data ['taxonomy_data'] = Taxonomy::where('taxonomy_slug' , $request->slug )->orderBy('id','DESC')
									->first()->toArray();

		$data ['terms'] = Terms::where('taxonomy_id' , $data['taxonomy_data']['id'] )->orderBy('term_id','DESC')
									->get()->toArray();

		$title = array('pageTitle' => $data['taxonomy_data']['taxonomy_title'] );

		return view("admin.taxonomies.index",$title)->with('data', $data);
	}


	public function create(Request $request){
		
	 	$check = $request->all();

	 	$check = $check['data'];

	  	$check['slug'] = Terms::checkSlug( $check['slug'] );

      	$taxonomy = Terms::insert($check);

      	$taxonomy = Terms::where('taxonomy_id',$check['taxonomy_id'])->get()->toArray();

	   	return view('admin.taxonomies.table')->with('taxonomy', $taxonomy);

	}


	public function edit(Request $request){
		
	    $post['post_data'] = Posts::where('ID', $request->post_id)->first()->toArray();

	    $post = Postmeta::getMetaData( $post );

	    $post['post_data']['featured_image'] = [

	    				'path'=> Index::get_image_path($post['post_data']['featured_image']) ,

	    				'id' => $post['post_data']['featured_image']
	    			];

		return view("admin.posts.edit",['pageTitle',$post['post_data']['post_title']])->with('data', $post);


	}

	public function update(Request $request){
		
		$check = $request->all();

		$post = Posts::updatepost($check);

		Postmeta::insertorupdate($check , $check['ID'] );

		return back()->with('success', ucfirst($check['post_type']).' Updated Successfully!');


	}


	public function delete(Request $request){
		
		
		Posts::where('ID',$request->id)->delete();

		Postmeta::where('post_id',$request->id)->delete();

		return back()->with('success','Item Deleted!');


	}


	public static function parsePostContent($result){

       foreach( $result as $key => $data ) :

                foreach($data as $subkey => $subdata ) :

                    if( str_contains( $subkey , 'image') ) :
                    
                        $result[$key][$subkey] = ['path' => Index::get_image_path( $subdata ) , 'id' => $subdata ];

                    endif;

                endforeach;

        endforeach;

        return $result;
    }

}
