<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use Auth;

use Session;

class AuthController extends Controller
{
    
    public function login(Request $request){
        
        $title  = 'Login';

        return view("admin.login")->with('title' , $title);  

    }
    
    
    public function loginprocess(Request $request)
    {
        $credentials = $request->all();
        
        unset($credentials['_token']);
        
        if(!Auth::validate($credentials)):
            return redirect()->to('login')
                ->withErrors(trans('auth.failed'));
        endif;

        $user = Auth::getProvider()->retrieveByCredentials($credentials);

        Auth::login($user);

        return redirect('admin/dashboard');
    }


     public function register(Request $request){
        
        $title  = 'Register';

        return view("admin.register")->with('title' , $title);  

    }
    
    public function logout(Request $request){
            
             Session::flush();
        
            Auth::logout();
            
            return redirect('login');
        
    }
}
