<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Auth;

class Appointments extends Model
{
    protected $table = 'appointments';
    
    protected $guarded = [];

    use HasFactory;

    public static function getAppointments(){

        $data = self::where('admin',Auth::user()->id)->paginate(10);

        $data ? $data = $data->toArray() : '' ;

        return $data;
    }


    public static function entry($data){

        $data = $data->all();

        $data = array_filter($data);

        isset( $data['appointment_customers'] ) ? $data['appointment_customers'] = serialize($data['appointment_customers']) : '';

        $data['admin'] = Auth::user()->id;
        
        return self::Create($data);

    }

    public static function getAppointment($id){

        return self::where([['appointment_id',$id],['admin',Auth::user()->id]])->first()->toArray();
    }


    public static function getAppointmentCustomers($appointments){

        $arr = [];

        if( $appointments ) :

            foreach( $appointments as &$data ) :

                if( $data['appointment_customers'] ) :

                    $ids = unserialize( $data['appointment_customers'] );

                    $data['appointment_customers'] = [];

                    foreach( $ids as $id ) : 

                        $arr = self::Where([

                            ['appointment_customers','=',$id],

                            ['admin', '=' , Auth::user()->id]

                        ])->first();

                        $arr ? $arr = $arr->toArray() : '';

                        $arr ? $data['appointment_customers'][] = $arr : '';

                    endforeach; 

                endif;

            endforeach;

        endif;

        return $appointments;
    }

     public static function getAppointmentServices($appointments){

        $arr = [];

        if( $appointments ) :

            foreach( $appointments as &$data ) :

                if( $data['services'] ) :

                    $ids = unserialize( $data['services'] );

                    $data['services'] = [];

                    foreach( $ids as $id ) : 

                        $arr = self::Where([

                            ['appointment_services','=',$id],

                            ['admin', '=' , Auth::user()->id]

                        ])->first();

                        $arr ? $arr = $arr->toArray() : '';

                        $arr ? $data['services'][] = $arr : '';

                    endforeach; 

                endif;

            endforeach;

        endif;

        return $appointments;
    }

    public static function updateAppointment($data){

        isset( $data['appointment_customers'] ) ? $data['appointment_customers'] = serialize( $data['appointment_customers'] ) : '';

        isset( $data['employees'] ) ? $data['employees'] = serialize( $data['employees'] ) : '';

        isset( $data['services'] ) ? $data['services'] = serialize( $data['services'] ) : '';

        isset( $data['customers'] ) ? $data['customers'] = serialize( $data['customers'] ) : '';

        return self::where('appointment_id',$data['appointment_id'])->update($data);

    }
}
