<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Auth;

class Customers extends Model
{
    protected $table = 'customers';
    
    protected $guarded = [];

    use HasFactory;

    public static function getCustomers(){

        $data = self::where('admin',Auth::user()->id)->paginate(10);

        $data ? $data = $data->toArray() : '' ;

        return $data;
    }


    public static function entry($data){

        $data = $data->all();

        $data = array_filter($data);

        if( isset( $data['image'] ) ) : $data['customer_image'] = $data['image']; unset($data['image']);  endif;

        $data['admin'] = Auth::user()->id;
        
        return self::Create($data);

    }

    public static function getCustomer($id){

        return self::where([['customer_id',$id],['admin',Auth::user()->id]])->first()->toArray();
    }

    public static function updateCustomer($data){

        isset( $data['customers'] ) ? $data['customers'] = serialize( $data['customers'] ) : '';

        if( isset( $data['image'] ) ) : $data['customer_image'] = $data['image']; unset($data['image']);  endif;

        return self::where('customer_id',$data['customer_id'])->update($data);

    }

    public static function getAppointmentCustomers($appointments){

        $arr = [];

        if( $appointments ) :

            foreach( $appointments as &$data ) :

                if( $data['appointment_customers'] ) :

                    $ids = unserialize( $data['appointment_customers'] );

                    $data['appointment_customers'] = [];

                    foreach( $ids as $id ) : 

                        $arr = self::Where([

                            ['customer_id','=',$id],

                            ['admin', '=' , Auth::user()->id]

                        ])->first();

                        $arr ? $arr = $arr->toArray() : '';

                        $arr ? $data['appointment_customers'][] = $arr : '';

                    endforeach; 

                endif;

            endforeach;

        endif;

        return $appointments;
    }
}
