<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Model;

use Auth;

class Employees extends Model

{

	protected $table= 'employees';

	protected $guarded = [];

	public static function entry($data){

		$data = $data->all();

		unset($data['_token']);

		$data['employee_image'] = $data['image']; unset($data['image']);

		$data['admin'] = Auth::user()->id;

		$data['employee_status'] = 1;

		$data['employee_services'] ? $data['employee_services'] = serialize($data['employee_services']) : '';

		return self::Create($data);

	}


	public static function getServiceEmployees($services){

		$arr = [];

		if( $services ) :

			foreach( $services as &$data ) :

				if( $data['service_employees'] ) :

					$ids = unserialize( $data['service_employees'] );

					$data['service_employees'] = [];

					foreach( $ids as $id ) : 

						$arr = self::Where([

							['employee_id','=',$id],

							['admin', '=' , Auth::user()->id]

						])->first();

						$arr ? $arr = $arr->toArray() : '';

						$arr ? $data['service_employees'][] = $arr : '';

					endforeach;	

				endif;

			endforeach;

		endif;

		return $services;
	}


	public static function getEmployee($id){

		return self::Where([

			['employee_id',$id],

			['admin',Auth::user()->id]

		])->first()->toArray();

	}

	public static function getEmployees(){

		return self::Where('admin',Auth::user()->id)->paginate(10);

	}

	public static function updateEmployee($data){

		isset( $data['employee_services'] ) ? $data['employee_services'] = serialize($data['employee_services']) : '';

		$response = self::where('employee_id',$data['employee_id'])->update($data);
		
		return json_encode(['message' => 'Employee Info Updated']); 
		
	}


}	