<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Auth;

class Location extends Model
{
    protected $table = 'location';
    
    protected $guarded = [];

    use HasFactory;

    public static function getLocation(){

        $data = self::where('admin',Auth::user()->id)->paginate(10);

        $data ? $data = $data->toArray() : '' ;

        return $data;
    }


    public static function entry($data){

        $data = $data->all();

        $data = array_filter($data);

        if( isset( $data['image'] ) ) : $data['location_image'] = $data['image']; unset($data['image']);  endif;

        $data['admin'] = Auth::user()->id;
        
        return self::Create($data);

    }

    // public static function getCustomer($id){

    //     return self::where([['customer_id',$id],['admin',Auth::user()->id]])->first()->toArray();
    // }


    public static function getServiceLocation($services){

        $arr = [];

        if( $services ) :

            foreach( $services as &$data ) :

                if( $data['location'] ) :

                    $ids = unserialize( $data['location'] );

                    $data['location'] = [];

                    foreach( $ids as $id ) : 

                        $arr = self::Where([

                            ['location','=',$id],

                            ['admin', '=' , Auth::user()->id]

                        ])->first();

                        $arr ? $arr = $arr->toArray() : '';

                        $arr ? $data['location'][] = $arr : '';

                    endforeach; 

                endif;

            endforeach;

        endif;

        return $services;
    }

    public static function updateLocation($data){

        isset( $data['location'] ) ? $data['location'] = serialize( $data['location'] ) : '';

        if( isset( $data['image'] ) ) : $data['location_image'] = $data['image']; unset($data['image']);  endif;

        return self::where('location_id',$data['location_id'])->update($data);

    }
}
