<?php

namespace App\Models\Core;



use Illuminate\Database\Eloquent\Model;

use Illuminate\Support\Facades\DB;



class Posts extends Model

{

	protected $table= 'posts';
	protected $guarded = [];

	public static function checkSlug($slug){

		$slug = str_replace([',','.'],'',$slug );

		$strcheck = substr($slug,-1);

		if( $strcheck == '-' ) :

			$slug = rtrim($slug,'-');

		endif;

		$check = self::all();

		$slugarr = [];

		foreach( $check as $checking ) :

			if( str_contains($checking->post_name, $slug) ) :

				$ending = substr( $checking->post_name, -7 );

				$int = (int)filter_var( $ending, FILTER_SANITIZE_NUMBER_INT);

				if( $int == '' ) :

					$append = '2';

				else :

					$append = ($int+1);

				endif;

			else :

				$append = '';

			endif;

			array_push($slugarr, $checking->post_name);

		endforeach;

				if( in_array( $slug, $slugarr )  ) :

					$parsedslug = $slug.$append;

				else :
					
					$parsedslug = $slug;

				endif;

		return $parsedslug;
	}


	public static function insert($check){


		$id = Posts::create([
	      
	        'post_content' => $check['post_content'],
		      
		        'post_title' => $check['pagetitle'],
		      
		        'post_name' =>  $check['slug'],
		      
		        'featured_image' =>  $check['featured_image'],
		      
		        'post_status' =>  'publish',
		      
		        'post_type' =>  $check['post_type'],
		      
		        'post_excerpt' =>  $check['post_excerpt'],
		      
		      ]);

		return $id;
	}


	public static function updatepost($check){

	    $post = Posts::where('ID', $check['ID'])

	    			->update([
					      
					        'post_content' => $check['post_content'],
					      
					        'post_title' => $check['pagetitle'],
					      
					        'post_name' =>  $check['slug'],
					      
					        'featured_image' =>  $check['featured_image'],
					      
					        'post_status' =>  'publish',
					      
					        'post_type' =>  $check['post_type'],
					      
					        'post_excerpt' =>  $check['post_excerpt'],
					      
					      ]);

	}

}	