<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Model;

use Auth;

class Services extends Model

{

	protected $table= 'services';

	protected $guarded = [];

	public static function entry($data){

		$data = $data->all();

		$data = array_filter($data);

		isset( $data['service_employees'] ) ? $data['service_employees'] = serialize($data['service_employees']) : '';

		isset( $data['location'] ) ? $data['location'] = serialize($data['location']) : '';

		if( isset( $data['image'] ) ) : $data['service_icon'] = $data['image']; unset($data['image']);  endif;

		$data['admin'] = Auth::user()->id;
		
		return self::Create($data);

	}

	public static function updateService($data){

		isset( $data['service_employees'] ) ? $data['service_employees'] = serialize( $data['service_employees'] ) : $data['service_employees'] = '';

		isset( $data['location'] ) ? $data['location'] = serialize( $data['location'] ) : $data['location']='';


		return self::where('service_id',$data['service_id'])->update($data);

	}

	public static function getAddons($id){

		$addons = self::where([['parent_service',$id],['admin',Auth::user()->id]])->get();

		$addons ? $addons = $addons->toArray() : '' ;

		return $addons;


	}


	public static function getServices(){

		return self::where([['parent_service',0],['admin',Auth::user()->id]])->paginate(10);
	}

	public static function getService($id){

		return self::where([['service_id',$id],['admin',Auth::user()->id]])->first()->toArray();
	}

	public static function filterServices($data){

		$id = $data->id;

		if( $id == 'all' ) :

			$services = self::getServices();

		else :

			$services = self::where([

				['service_category',$id],

				['parent_service',0],

				['admin',Auth::user()->id],

			])->paginate(10);

		endif;

		$services ? $services = $services->toArray() : '';
		
		return $services;
	}
}	