<?php

namespace App\Models\Backend;

use Illuminate\Database\Eloquent\Model;

use Auth;

class WorkingHours extends Model

{

	protected $table= 'employee_working_hours';

	protected $guarded = [];

	public static function getEmployeeWorkingHours($id = 0){

		$check = self::where('employee_id',$id)->first();

		$check ? $check = $check->toArray() : $check = ['employee_id' => $id , 'days_data' => self::defaultHours()];

		return $check;

	}

	public static function updateData($data){

		unset($data['_token']);

		$id = $data['employee_id']; unset($data['employee_id']);

		$arr = self::defaultHours();

		$arr = unserialize($arr);

		foreach($arr as $day => &$val) :

			$val = [

						'day_type' => isset( $data[$day.'day_type'] ) ? 'working': 'off',
				
						'shift_start' => $data[$day.'shift_start'],

						'shift_end' => $data[$day.'shift_end'],

				  ];

		endforeach;

		if( self::where('employee_id',$id)->first() ) :


			$response = self::where('employee_id',$id)->update( [ 'days_data' => serialize($arr) ] );

		else :

			$response = self::Create(	
							[

								'employee_id' => $id,

								'days_data' => serialize($arr),

							]
						);	

		endif;

		return $response;

	}

	private static function defaultHours(){


		$workingday = [

			'day_type' => 'working',

			'shift_start' => '9:00 am',

			'shift_end'   => '5:00 pm',

		];

		$offday = [

			'day_type' => 'off',

			'shift_start' => '0:00 am',

			'shift_end'   => '0:00 am',

		];

		return serialize(
			$default = [
				'Monday' 	=> $workingday,
				'Tuesday' 	=> $workingday,
				'Wednesday' => $workingday,
				'Thursday' 	=> $workingday,
				'Friday' 	=> $workingday,
				'Saturday' 	=> $offday,
				'Sunday' 	=> $offday,
			]
		);

	}
}	