@extends('admin.layout')

@section('content')

<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <h4 class="card-title m-0">Customers</h4>
    <button type="button" class="btn btn-primary d-flex align-items-center justify-content-center gap-2" data-bs-toggle="modal" data-bs-target="#exampleModal"><i class="d-block mdi mdi-plus-circle-outline"></i> Add Customers</button>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-md-12">

          <div class="table-header my-3">
            <div class="row">
              <div class="col-md-11">
                <div class="d-flex align-items-center">
                  <i class="mdi icon-sm mdi-magnify text-primary"></i>
                  <input type="text" class="form-control" id="navbar-search-input" placeholder="Search" aria-label="search" aria-describedby="search">
                </div>
              </div>
              <div class="col-md-1 pl-0">
                <button type="button" class="btn btn-outline-primary btn-sm w-100 d-flex align-items-center justify-content-between m-0 btn-icon-text">
                  <i class="mdi mdi-filter m-0 btn-icon-append"></i>
                  Filter
                </button>
              </div>
            </div>
          </div>

          <div class="py-3 position-relative">


            <div class="customers-head border-bottom">
              <div class="card">
                <div class="card-body p-3">
                  <div class="row ps-0 align-items-center">
                    <div class="col-md-1">
                      <input type="checkbox" id="checkall" class="form-check-input position-relative m-0">
                    </div>
                    <div class="col-md-1"><strong>Image</strong></div>
                    <div class="col-md-2"><strong>Name</strong></div>
                    <div class="col-md-3"><strong>Note</strong></div>
                    <div class="col-md-2"><strong>Email</strong></div>
                    <div class="col-md-2"><strong>Phone</strong></div>
                    <div class="col-md-1"><strong></strong></div>
                  </div>
                </div>
              </div>

              <div id="table-column" class="py-2">

                @include('admin.customers.loop',['data' => $data['customers']])

              </div>

              <div id="table-loader" class="position-absolute top-0 left-0 w-100">
                <div class="loader-demo-box">
                  <div class="dot-opacity-loader">
                    <span></span>
                    <span></span>
                    <span></span>
                  </div>
                </div>
              </div>

          </div>

        </div>
      </div>
    </div>
  </div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" style="display: none;" aria-hidden="true">
  <div class="modal-dialog modal-lg" style="width: 60% !important" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Customer</h5>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="js-form" action="<?=asset('admin/customers/add')?>" method="POST" after="<?=asset('admin/customers/refresh')?>">
          @csrf
          <div class="row">
            <div class="col-md-4">
              <div class="form-group">
                <label for="customer_icon">Customer Image (500 x 500) <span class="required">*</span></label>
                <input type="file" name="file" id="customer_icon" class="dropify image_file" data-max-width="500" data-max-height="500" />
              </div>
            </div>

            <div class="col-md-8">
              <div class="row">
                <div class="col-md-6">
                  
              <div class="form-group">
                <label for="customer_first_name">First Name <span class="required">*</span></label>
                <input type="text" required class="form-control" name="customer_first_name" id="customer_first_name" placeholder="Enter first name">
              </div>
                </div>
                <div class="col-md-6">
                  
              <div class="form-group">
                <label for="customer_last_name">Last Name <span class="required">*</span></label>
                <input type="text" required class="form-control" name="customer_last_name" id="customer_last_name" placeholder="Enter last name">
              </div>
                </div>

              <div class="col-md-6">
                <div class="form-group">
                  <label for="customer_email">Email <span class="required">*</span></label>
                  <input type="email" required class="form-control" name="customer_email" id="customer_email" placeholder="example@yourcomany.com">
                </div>
              </div>

            <div class="col-md-6">

              <div class="form-group">
                <label for="customer_phone">Phone <span class="required">*</span></label>
                <input type="text" data-type="tel" required class="form-control" name="customer_phone" id="customer_phone" placeholder="Phone Number">
                <input type="hidden" class="phone" name="customer_phone">
                <input type="hidden" class="country" name="customer_country">
              </div>
            </div>
              </div>
            </div>

            <button type="submit" class="btn btn-primary me-2">Submit</button>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
      </div>
    </div>
  </div>
</div>

<!-- 
<script>
  $(document).ready(function() {
    
    $('.customer-form').submit(function(e) {
      e.preventDefault(); 

   
      var formData = new FormData(this);

      // Make an Ajax request
      $.ajax({
        type: 'POST',
        url: $(this).attr('action'),
        data: formData,
        processData: false,
        contentType: false,
        success: function(response) {

          console.log(response);
          alert('Form submitted successfully!');
        },
        error: function(error) {

          console.error(error);
          alert('Error submitting the form. Please try again.');
        }
      });

      var refreshUrl = $(this).attr('after');
      if (refreshUrl) {
        window.location.href = refreshUrl;
      }
    });
  });
</script> -->

@endsection