<?php $service = $data['services'];?>

<div class="p-3 position-relative">
  <form class="js-form" action="<?=asset('admin/services/update')?>" method="POST" after="">
    @csrf
    <input type="hidden" name="service_id" value="<?=$service['service_id']?>">

    <div class="row">

     <div class="col-md-6">
      <div class="form-group">
        <label for="service_employees">Employees</label>
        <select class="select2 w-100" multiple name="service_employees[]" data-placeholder="Select Employee(s)" id="service_employees">

          <?php

          if( $data['employees'] ) :

            $service['service_employees'] != '' ? $check = unserialize($service['service_employees']) : $check = [];

            foreach($data['employees'] as $key => $employee) : 

              in_array($employee['employee_id'], $check) ? $attr = 'selected' : $attr = ''; ?>

              <option value="<?=$employee['employee_id']?>" <?=$attr?>>
                <div class="d-flex justify-content-between">
                  <p><?=$employee['employee_first_name']?> <?=$employee['employee_last_name']?></p>
                  <img src="<?=asset($employee['employee_image'])?>" alt="image" class="img-sm me-3 rounded-circle">
                </div>
              </option>

            <?php endforeach;

          endif;?>

        </select>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label for="service_duration">Duration <span class="required">*</span></label>
        <select class="select2 w-100" name="service_duration" id="service_duration">
          <?php

          $range = range(0, 47);

          $i = 0;

          foreach($range as $key => $time) :

            $i+= 30;
            
            $h = round( ( $i / 60 ) , 0 ,PHP_ROUND_HALF_DOWN );  
            
            $key % 2 == 0 ? $m = '30' : $m = 0 ;  

            $view = '';

            $h != 0 ? $view = $h.'h' : '';

            $m != 0 ? $view.= ' '.$m.'min' : '';

            $view == ' 30min' ? $view = '30min' : ''; 

            $view == $service['service_duration'] ? $attr = 'selected' : $attr = ''; ?>

            <option <?=$attr?> ><?=$view?></option>

          <?php endforeach; ?>

        </select>
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label>Regular Price <span class="required">*</span></label>
        <div class="input-group">
          <div class="input-group-prepend">
            <span class="input-group-text bg-dark">$</span>
          </div>
          <input type="number" name="service_price" value="<?=$service['service_price']?>" required class="form-control" min="0" aria-label="Price">
        </div>
      </div>
    </div>

    <div class="col-md-6">
      <div class="form-group">
        <label>Discount (if any)</label>
        <div class="input-group">
          <div class="input-group-prepend">
            <span class="input-group-text bg-dark">%</span>
          </div>
          <input type="number" class="form-control" value="<?=$service['service_discount']?>" name="service_discount" min="0" max="100" maxlength="3" aria-label="Discount">
        </div>
      </div>
    </div>

     <div class="col-md-6">
      <div class="form-group">
        <label for="location">Location</label>
        <select class="select2 w-100" multiple name="location[]" data-placeholder="Select Location(s)" id="location">

          <?php

          if( $data['location'] ) :

            $service['location'] != '' ? $check = unserialize($service['location']) : $check = [];

            foreach($data['location'] as $key => $location) : 

              in_array($location['location_id'], $check) ? $attr = 'selected' : $attr = ''; ?>

              <option value="<?=$location['location_id']?>" <?=$attr?>>
                <div class="d-flex justify-content-between">
                  <p><?=$location['location_name']?></p>
                </div>
              </option>

            <?php endforeach;

          endif;?>

        </select>
      </div>
    </div>


    <button type="submit" class="btn btn-primary me-2">Submit</button>

  </div>
</form>
</div>
