
<?php $__env->startSection('content'); ?>

<div class="content-wrapper">
  <div class="row">
    <div class="col-md-4 pr-0 grid-margin">
      <div class="card-people rounded">
        <div class="p-3 text-white">
          <div class="d-flex flex-column">
            <div>
              <h2 class="mb-0 font-weight-normal">Hello, <?=explode(' ',Auth::user()->name)[0]?></h2>
            </div>
            <div class="mt-2">
              <h6 class="font-weight-normal">Welcome to your Go Booking dashboard.</h6>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-8 welcome-box grid-margin p-5 card rounded">
      <div class="row mb-4 justify-content-center">
        <div class="col-md-8">
          <p class="h4 text-center">To get started, make sure you visit and configure the main elements:</p>
        </div>
      </div>
      <div class="row justify-content-center dash-icons">
        <div class="col-md-3 transparent">
          <div class="card border rounded">
            <div class="d-flex flex-column p-3 text-center text-primary justify-content-between">
              <i class="mdi mdi-account-multiple icon-md mb-3"></i>
              <h5>1. Employees</h5>
            </div>
          </div>
        </div>
        <div class="col-md-3 transparent">
          <div class="card border rounded">
            <div class="d-flex flex-column p-3 text-center text-primary justify-content-between">
              <i class="mdi mdi-plus-box icon-md text-center text-primary mb-3"></i>
              <h5>2. Services</h5>
            </div>
          </div>
        </div>
        <div class="col-md-3 mb-lg-0 transparent">
          <div class="card border rounded">
            <div class="d-flex flex-column p-3 text-center text-primary justify-content-between">
              <i class="mdi mdi-gauge icon-md text-center text-primary mb-3"></i>
              <h5>3. Features & Integrations</h5>
            </div>
          </div>
        </div>
        <div class="col-md-3 transparent">
          <div class="card border rounded">
            <div class="d-flex flex-column p-3 text-center text-primary justify-content-between">
              <i class="mdi mdi-web icon-md text-center text-primary mb-3"></i>
              <h5>4. Booking website</h5>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-12 col-sm-6 col-md-6 col-xl-4 grid-margin stretch-card">
      <div class="card">
        <div class="card-body d-flex flex-column gap-3">
          <h4 class="card-title m-0">New Customers</h4>
          <strong class="h4 m-0">4</strong>
          <div class="progress progress-md">
            <div class="progress-bar bg-info w-25" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-12 col-sm-6 col-md-6 col-xl-4 grid-margin stretch-card">
      <div class="card">
        <div class="card-body d-flex flex-column gap-3">
          <h4 class="card-title m-0">Revenue</h4>
          <strong class="h4 m-0">$0.00</strong>
          <div class="progress progress-md">
            <div class="progress-bar bg-success w-25" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-12 col-sm-6 col-md-6 col-xl-4 grid-margin stretch-card">
      <div class="card">
        <div class="card-body d-flex flex-column gap-3">
          <h4 class="card-title m-0">Occupancy</h4>
          <strong class="h4 m-0">4.7%</strong>
          <div class="progress progress-md">
            <div class="progress-bar bg-danger w-25" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
          </div>
        </div>
      </div>
    </div>

  </div>

  <div class="row">
    <div class="col-md-8 grid-margin stretch-card">
      <div class="card">
        <div class="card-body">
          <div class="row mb-3">
            <div class="col-md-3">
              <p class="text-muted">Order value</p>
              <h3 class="text-primary fs-30 font-weight-medium">12.3k</h3>
            </div>
            <div class="col-md-3">
              <p class="text-muted">Orders</p>
              <h3 class="text-primary fs-30 font-weight-medium">14k</h3>
            </div>
            <div class="col-md-3">
              <p class="text-muted">Users</p>
              <h3 class="text-primary fs-30 font-weight-medium">71.56%</h3>
            </div>
            <div class="col-md-3">
              <p class="text-muted">Downloads</p>
              <h3 class="text-primary fs-30 font-weight-medium">34040</h3>
            </div> 
          </div>
          <canvas id="order-chart"></canvas>
        </div>
      </div>
    </div>
    <div class="col-md-4 grid-margin stretch-card">
      <div class="card">
        <div class="card-body">
          <div id="calendar" class="full-calendar"></div>
        </div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-8 grid-margin stretch-card">
      <div class="card">
        <div class="card-body">
          <p class="card-title mb-0">Last booked appointments</p>
          <div class="table-responsive">
            <table class="table table-striped table-borderless">
              <thead>
                <tr>
                  <th>Date</th>
                  <th>Service</th>
                  <th>Customer</th>
                  <th>Status</th>
                </tr>  
              </thead>
              <tbody>
                <tr>
                  <td>November 1, 2023</td>
                  <td class="font-weight-bold">Security Consultation</td>
                  <td>Jane Doe</td>
                  <td class="font-weight-medium"><div class="badge badge-success">Completed</div></td>
                </tr>
                <tr>
                  <td>November 1, 2023</td>
                  <td class="font-weight-bold">Security Consultation</td>
                  <td>Jane Doe</td>
                  <td class="font-weight-medium"><div class="badge badge-success">Completed</div></td>
                </tr>
                <tr>
                  <td>November 1, 2023</td>
                  <td class="font-weight-bold">Security Consultation</td>
                  <td>Jane Doe</td>
                  <td class="font-weight-medium"><div class="badge badge-warning">Pending</div></td>
                </tr>
                <tr>
                  <td>November 1, 2023</td>
                  <td class="font-weight-bold">Security Consultation</td>
                  <td>Jane Doe</td>
                  <td class="font-weight-medium"><div class="badge badge-warning">Pending</div></td>
                </tr>
                <tr>
                  <td>November 1, 2023</td>
                  <td class="font-weight-bold">Security Consultation</td>
                  <td>Jane Doe</td>
                  <td class="font-weight-medium"><div class="badge badge-danger">Cancelled</div></td>
                </tr>
                <tr>
                  <td>November 1, 2023</td>
                  <td class="font-weight-bold">Security Consultation</td>
                  <td>Jane Doe</td>
                  <td class="font-weight-medium"><div class="badge badge-warning">Pending</div></td>
                </tr>
                <tr>
                  <td>November 1, 2023</td>
                  <td class="font-weight-bold">Security Consultation</td>
                  <td>Jane Doe</td>
                  <td class="font-weight-medium"><div class="badge badge-success">Completed</div></td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-4 grid-margin stretch-card">
      <div class="card">
        <div class="card-body">
          <h4 class="card-title">Services</h4>
          <div class="list-wrapper pt-2">
            <div class="d-flex flex-column">
              <div class="card rounded border  mb-2">
                <div class="card-body p-3">
                  <div class="row align-items-center">
                    <div class="col-md-3"><img src="https://cdn-icons-png.flaticon.com/512/21/21104.png" alt="image" class="img-sm me-3 rounded-circle"></div>
                    <div class="col-md-9">Workplace Evacuation plans</div>
                    <div class="col-md-6"><small>Appointments</small></div>
                    <div class="col-md-6"><small>Revenue</small></div>
                    <div class="col-md-6"><small><strong>1</strong></small></div>
                    <div class="col-md-6"><small><strong>$0.00</strong></small></div>
                    <div class="col-md-12">
                      <div class="progress progress-md">
                        <div class="progress-bar bg-info w-25" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                      </div>
                    </div>
                    <div class="col-md-6"><small>Occupancy Rate</small></div>
                    <div class="col-md-6 text-left"><small class="text-end"><strong>2.5%</strong></small></div>
                  </div>
                </div>
              </div>
              <div class="card rounded border  mb-2">
                <div class="card-body p-3">
                  <div class="row align-items-center">
                    <div class="col-md-3"><img src="https://cdn-icons-png.flaticon.com/512/21/21104.png" alt="image" class="img-sm me-3 rounded-circle"></div>
                    <div class="col-md-9">Workplace Evacuation plans</div>
                    <div class="col-md-6"><small>Appointments</small></div>
                    <div class="col-md-6"><small>Revenue</small></div>
                    <div class="col-md-6"><small><strong>1</strong></small></div>
                    <div class="col-md-6"><small><strong>$0.00</strong></small></div>
                    <div class="col-md-12">
                      <div class="progress progress-md">
                        <div class="progress-bar bg-info w-25" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                      </div>
                    </div>
                    <div class="col-md-6"><small>Occupancy Rate</small></div>
                    <div class="col-md-6 text-left"><small class="text-end"><strong>2.5%</strong></small></div>
                  </div>
                </div>
              </div>
              <div class="card rounded border  mb-2">
                <div class="card-body p-3">
                  <div class="row align-items-center">
                    <div class="col-md-3"><img src="https://cdn-icons-png.flaticon.com/512/21/21104.png" alt="image" class="img-sm me-3 rounded-circle"></div>
                    <div class="col-md-9">Workplace Evacuation plans</div>
                    <div class="col-md-6"><small>Appointments</small></div>
                    <div class="col-md-6"><small>Revenue</small></div>
                    <div class="col-md-6"><small><strong>1</strong></small></div>
                    <div class="col-md-6"><small><strong>$0.00</strong></small></div>
                    <div class="col-md-12">
                      <div class="progress progress-md">
                        <div class="progress-bar bg-info w-25" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                      </div>
                    </div>
                    <div class="col-md-6"><small>Occupancy Rate</small></div>
                    <div class="col-md-6 text-left"><small class="text-end"><strong>2.5%</strong></small></div>
                  </div>
                </div>
              </div>
              <div class="card rounded border  mb-2">
                <div class="card-body p-3">
                  <div class="row align-items-center">
                    <div class="col-md-3"><img src="https://cdn-icons-png.flaticon.com/512/21/21104.png" alt="image" class="img-sm me-3 rounded-circle"></div>
                    <div class="col-md-9">Workplace Evacuation plans</div>
                    <div class="col-md-6"><small>Appointments</small></div>
                    <div class="col-md-6"><small>Revenue</small></div>
                    <div class="col-md-6"><small><strong>1</strong></small></div>
                    <div class="col-md-6"><small><strong>$0.00</strong></small></div>
                    <div class="col-md-12">
                      <div class="progress progress-md">
                        <div class="progress-bar bg-info w-25" role="progressbar" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                      </div>
                    </div>
                    <div class="col-md-6"><small>Occupancy Rate</small></div>
                    <div class="col-md-6 text-left"><small class="text-end"><strong>2.5%</strong></small></div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/dashboard.blade.php ENDPATH**/ ?>