

<?php $__env->startSection('content'); ?>

<div class="content-wrapper">
  <div class="d-flex justify-content-between mb-3 pl-3 align-items-center">
    <h4 class="card-title m-0">Appointments</h4>
    <button type="button" class="btn btn-primary d-flex align-items-center justify-content-center gap-2" data-bs-toggle="modal" data-bs-target="#exampleModal"><i class="d-block mdi mdi-plus-circle-outline"></i> Add Appointments</button>
  </div>
  <div class="card">
    <div class="card-body">
      <div class="row">

      </div>
      <div class="col-md-12">

        <div class="py-3 position-relative">

          <div class="table-header my-3">
            <div class="row">
              <div class="col-md-10">
                <div class="d-flex align-items-center">
                  <i class="mdi icon-sm mdi-magnify text-primary"></i>
                  <input type="text" class="form-control" id="navbar-search-input" placeholder="Search" aria-label="search" aria-describedby="search">
                </div>
              </div>
              <div class="col-md-2">
                <button type="button" class="btn btn-outline-primary btn-sm w-100 d-flex align-items-center justify-content-between m-0 btn-icon-text">
                  <i class="mdi mdi-filter m-0 btn-icon-append"></i>
                  Filter
                </button>
              </div>
            </div>
          </div>


          <div class="services-head border-bottom">
            <div class="card">
              <div class="card-body px-2 py-3">
                <div class="row ps-0 align-items-center">
                  <div class="col-md-1"><strong>Appointment No.</strong></div>
                  <div class="col-md-1"><strong>Appointment Date</strong></div>
                  <div class="col-md-2"><strong>Duration</strong></div>
                  <div class="col-md-3"><strong>Customers</strong></div>
                  <div class="col-md-2"><strong>Employee</strong></div>
                  <div class="col-md-1"><strong></strong></div>
                </div>
              </div>
            </div>
          </div>

          <div id="table-column" class="py-2">

            <?php echo $__env->make('admin.appointments.loop',['data' => $data['appointments']], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

          </div>

        </div>

        <div id="table-loader" class="position-absolute top-0 left-0 w-100">
          <div class="loader-demo-box">
            <div class="dot-opacity-loader">
              <span></span>
              <span></span>
              <span></span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</div>


<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" style="display: none;" aria-hidden="true">
  <div class="modal-dialog modal-lg" style="width: 60% !important" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add Appointment</h5>
        <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="js-form" action="<?=asset('admin/appointments/add')?>" method="POST" after="">
          <?php echo csrf_field(); ?>
          <div class="row">

            <div class="col-md-8">

              <div class="form-group">
                <label for="service">Service <span class="required">*</span></label>
                <select class="select2 w-100" name="appointment_services" id="service" required>

                  <?php

                  if( $data['services'] ) :

                    foreach($data['services'] as $key => $cat) : ?>

                      <option value="<?=$cat['service_id']?>"><?=$cat['service_name']?></option>

                    <?php endforeach;

                  endif;?>

                </select>
              </div>

              <div class="form-group">
                <label for="employees">Employees <span class="required">*</span></label>
                <select class="select2 w-100" name="appointment_employees" id="employees" required>

                  <?php

                  if( $data['employees'] ) :

                    foreach($data['employees'] as $key => $cat) : ?>

                      <option value="<?=$cat['employee_id']?>"><?=$cat['employee_first_name']?> <?=$cat['employee_last_name']?></option>

                    <?php endforeach;

                  endif;?>

                </select>
              </div>

              <div class="form-group">
                <label for="customers">Customers <span class="required">*</span></label>
                <select class="select2 w-100" name="appointment_customers[]" id="customers" multiple required>

                  <?php

                  if( $data['customers'] ) :

                    foreach($data['customers'] as $key => $cat) : ?>

                      <option value="<?=$cat['customer_id']?>"><?=$cat['customer_first_name']?> <?=$cat['customer_last_name']?></option>

                    <?php endforeach;

                  endif;?>

                </select>
              </div>

              <div class="form-group">
                <label for="appointment_date">Date <span class="required">*</span></label>
                <input type="date" class="form-control" required name="appointment_date" id="appointment_date">
              </div>
            </div>
         
            <div class="col-md-6">
              <div class="form-group">
                <label for="appointment_duration">Duration <span class="required">*</span></label>
                <select class="select2 w-100" name="appointment_duration" id="appointment_duration">
                  <?php

                        $range = range(0, 47);

                        $i = 0;

                        foreach($range as $key => $time) :

                          $i+= 30;
                          
                          $h = round( ( $i / 60 ) , 0 ,PHP_ROUND_HALF_DOWN );  
                          
                          $key % 2 == 0 ? $m = '30' : $m = 0 ;  

                          $view = '';

                          $h != 0 ? $view = $h.'h' : '';

                          $m != 0 ? $view.= ' '.$m.'min' : '';

                          $view == ' 30min' ? $view = '30min' : ''; 

                      ?>

                          <option value ="<?=$view ?>" ><?=$view?></option>

                    <?php endforeach; ?>

                </select>
              </div>
            </div>

            <button type="submit" class="btn btn-primary me-2">Submit</button>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancel</button>
      </div>
    </div>
  </div>
</div>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xamp2\htdocs\biotech\resources\views/admin/appointments/appointments.blade.php ENDPATH**/ ?>